#include <math.h>
#include <stdlib.h>
#include <time.h>
#include <iostream.h>
#include <fstream.h>
#include <OGL_System.h>
#include "island.h"

Island::Island()
{
    try {
        volcano = new OFF_Object(VOLCANO_MODEL);
    }
    catch(...) {
        throw -1;
    }
}

Island::~Island()
{
    delete volcano;
}

void Island::Draw()
{
    glColor4f(0.8, 0.8, 0.8, 1.0);
    glDisable(GL_BLEND);
    glDisable(GL_TEXTURE_2D);
    glPushMatrix();
    glTranslatef(0.0, -2.5, 1.0);
    glRotatef(-90.0, 1.0, 0.0, 0.0);      // fix model error
    volcano->Draw();
    glPopMatrix();
    glEnable(GL_TEXTURE_2D);
    glEnable(GL_BLEND);
    glColor4f(1.0, 1.0, 1.0, 1.0);
}
