#ifndef __FIREBALLS_H
#define __FIREBALLS_H

#include <particle.h>
#include <off_object.h>

#define BALL_MODEL "data/ball.off"

class FireBalls : public Particle {
private:
    OFF_Object *ballLink;
    float origx, origy, origz;
public:
    FireBalls(OFF_Object *newBallLink, float nx, float ny, float nz);
    ~FireBalls();

    void Draw();
    void Calc();
    void ReInit(float nx, float ny, float nz);
};

class FireBallsEngine : public ParticleEngine {
private:
    OFF_Object *ball;
public:
    FireBallsEngine(int newNrParticles, float nx, float ny, float nz);
    ~FireBallsEngine();

    void Draw();
    void Calc();
};

#endif
